Name:           k3guitune
Version:        1.01
Release:        5%{?dist}
Summary:        Musical instrument tuner

Group:          Applications/Multimedia
License:        GPLv2 and GPLv2+
URL:            http://home.planet.nl/~lamer024/k3guitune.html
Source0:        http://home.planet.nl/~lamer024/files/k3guitune-%{version}.tar.gz
# guitune author made guitune_logo.xpm available in gtkguitune, available in
#     http://www.geocities.com/harpin_floh/mysoft/gtkguitune-0.7.tar.gz
Source1:        %{name}.xpm
# patch by dtimms to fix the parameters supplied in some calling functions,
#     without this compile dies:
Patch0:         %{name}-1.01-fix-multiple-parameters-bug.patch

Patch1:         %{name}-desktop-file.patch
# from http://www.kde-apps.org/content/show.php/K3Guitune?content=15358
#     fix fftw library usage bugs: 
Patch2:         %{name}-1.01-fftw.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs3-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  fftw-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
# investigate when it becomes available
#BuildRequires:  bio2jack-devel


%description
K3Guitune is a guitar-and-other-instruments tuner. It takes a signal from the 
microphone, calculates its frequency, and displays it on a note scale 
graphic and an oscilloscope. It supports normal, Wien, and physical tuning.


%prep
%setup -q
%patch0 -p1 -b .fix-multiple-parameters-bug
%patch1 -p1 -b .desktop-file
%patch2 -p1 -b .fftw
%{__rm} -rf po/*.gmo

# fix UTF-8 encodings
for nonutffile in ChangeLog AUTHORS; do
  iconv -f iso8859-1 -t utf-8 $nonutffile > $nonutffile.conv 
  touch -r $nonutffile $nonutffile.conv
  %{__mv} -f $nonutffile.conv $nonutffile
done


%build
%configure --disable-rpath
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__install} -p -m 644 %{SOURCE1} \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm

desktop-file-install                           \
    --add-category="AudioVideo"                \
    --add-category="Audio"                     \
    --delete-original                          \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}/%{_datadir}/applnk/Multimedia/%{name}.desktop

# remove symlinks with absolute paths, and recreate with relative paths
%{__rm} %{buildroot}/%{_docdir}/HTML/*/%{name}/common
cd %{buildroot}/%{_docdir}/HTML/
for lang in *; do
  ln -sf ../common $lang/%{name}/
done


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/%{name}/
%{_docdir}/HTML/*/%{name}/


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 11 2009 David Timms <iinet.net.au@dtimms> - 1.01-4
- fix command order for nonutffile timestamping

* Tue Mar 10 2009 David Timms <iinet.net.au@dtimms> - 1.01-3
- mod icon cache update to use newly ratified scriptlets
- enable jack audio support via BR: bio2jack
- mod symlink fix to be more flexible in the future
- remove install of INSTALL
- mod to use more macro style invocations, except url and source
- del Requires: hicolor-icon-them since it wil be detected via kdelibs3
- clarify License tag since some source files are licensed GPLv2 only.
- fix previous changelog date

* Sun Mar  8 2009 David Timms <iinet.net.au@dtimms> - 1.01-2
- add missing BR: alsa-lib-devel
- add patch for fftw library usage bug
- fix absolute symlink to be a relative symlink

* Fri Jan 30 2009 David Timms <iinet.net.au@dtimms> - 1.01-1
- Initial spec for Fedora based on Dries Verachtert's package
- Updated to release 1.01, the final release.

* Sun Feb 12 2006 Dries Verachtert <dries@ulyssis.org> - 0.5.2-1
- Updated to release 0.5.2.
